#!/bin/csh
# Script to install Conjugate Peak Refinment modules into pDynamo distrubution
# It is expected, that the following environmental variables normally needed 
#for pDynamo to work are set: $PDYNAMO_PCORE $PDYNAMO_PMOLECULESCRIPTS 

if ( $PDYNAMO_PCORE == "" || $PDYNAMO_PMOLECULESCRIPTS == "") then
   echo "pDynamo environmental variables (\$PDYNAMO_PCORE and \$PDYNAMO_PMOLECULESCRIPTS)"
   echo "are not properly set! Please make sure that you have pDynamo installed and that"
   echo "the environmental variables are set properly!"
   exit (1)
else
   echo "Following modules will be added to the pDynamo distribution located in $PDYNAMO_ROOT"
   echo "  * ConjugatePeakRefinement.py to $PDYNAMO_PMOLECULESCRIPTS/pMoleculeScripts"
   echo "  * CPRSaddlePointRefinement.py and MoreThuenteLineSearchWithMax.py to $PDYNAMO_PCORE/pCore"
endif

#copy the files
cp modules/ConjugatePeakRefinement.py      $PDYNAMO_PMOLECULESCRIPTS/pMoleculeScripts
cp modules/CPRSaddlePointRefinement.py      $PDYNAMO_PCORE/pCore
cp modules/MoreThuenteLineSearchWithMax.py $PDYNAMO_PCORE/pCore

#edit the corresponding __init__.py so the modules are accessible
echo "from ConjugatePeakRefinement      import ConjugatePeakRefinementOptimizePath" >> $PDYNAMO_PMOLECULESCRIPTS/pMoleculeScripts/__init__.py
echo "from CPRSaddlePointRefinement      import CPRSaddlePointRefinement"             >> $PDYNAMO_PCORE/pCore/__init__.py
echo "from MoreThuenteLineSearchWithMax import MoreThuenteLineSearcherWithMax"      >> $PDYNAMO_PCORE/pCore/__init__.py

